package org.omg.IOP;

import org.omg.IOP.CodecPackage.TypeMismatch;
import org.omg.CORBA.TypeCode;
import org.omg.IOP.CodecPackage.FormatMismatch;
import org.omg.IOP.CodecPackage.InvalidTypeForEncoding;
import org.omg.CORBA.Any;

public interface CodecOperations
{
    public abstract byte[] encode(Any p0) throws InvalidTypeForEncoding;
    
    public abstract Any decode(byte[] p0) throws FormatMismatch;
    
    public abstract byte[] encode_value(Any p0) throws InvalidTypeForEncoding;
    
    public abstract Any decode_value(byte[] p0, TypeCode p1) throws FormatMismatch, TypeMismatch;
}
